View Issue Details

IDProjectCategoryView StatusLast Update
0000471Port RequestsPort Requestpublic2020-09-27 07:09
ReporterrpontAssigned Topsmedley 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionwon't fix 
Summary0000471: Boinc port
DescriptionWe don't appear to have anyone maintaining a port of Boinc and Seti@home/astropulse. Vincenzo Venuto did a port of 6.6.29 but hasn't been able to keep it up to date and isn't responding now. I know he was busy with work when I last had contact. We have a problem with this port ignoring memory limits.

He also ported - Milkyway and had in beta state is einstein@home and ClassicalDynamics@home but we have had not changes since 2009.

His port is available at hobbes.nmsu.edu/pub/os2/apps/science/boinc2.zip

Current source can be found from:
http://setiathome.berkeley.edu/sah_porting.php

I can't find source for the others.
TagsNo tags attached.

Activities

rpont

2011-04-11 20:26

reporter   ~0001873

I have posted a message that I have requested the port at seti-warp@yahoogroups.com and asked if anyone has an interest in a port so that you can see if anyone else would be interested.

jsmall

2011-04-12 07:21

reporter   ~0001874

I, too, would like to see an updated port of Boinc and Seti software.

The problem cited in the original request is a bit more severe than just "ignoring memory limits". When you run Boinc/Seti the software is supposed to respect memory usage limits you are allowed to configure for your system. The current v6.x Boinc/Seti software not only disregards these limits, but it uses outrageous amounts of low memory. On my system Theseus reported '12200000'x of low memory used!!

Additional issues with the currently available port of the Boinc/Seti 6.x software include:
- an incomplete implementation of a change in API. The change breaks the old API but does not implement its replacement.
- output message "oddities":
--- '0a0d0a'x line endings?
--- unneeded and unwanted "file(s) copied" messages

I would expect a fresh port of the latest Boinc/Seti software would fix at least the API problem. And perhaps some of the other problems will be fixed, too.

In the past I have tried porting Boinc/Seti (and other software). Unfortunately I do not understand the process well enough to have had much success. (I once built a version of grep that seemed to work!?) Otherwise I would have already volunteered to try to port it.

If you decide to port this software, I hope you will help me figure out how to do it, too. This way I might also be able to address any of the problems which do not get fixed by a fresh port. And I might also be in position to provide other ports in the future.

Even if you decide not to port this software, thanks for all the terrific work you do in making up-to-date software available for eCS-OS/2.

Per Johansson

2011-04-13 04:28

reporter   ~0001875

Count me in. I have the same problem as everybody else, and would love to see a new build.

psmedley

2011-12-27 19:25

administrator   ~0002083

the build system for this is truely AWFUL...

Issue History

Date Modified Username Field Change
2011-04-11 19:59 rpont New Issue
2011-04-11 20:26 rpont Note Added: 0001873
2011-04-12 07:21 jsmall Note Added: 0001874
2011-04-13 04:28 Per Johansson Note Added: 0001875
2011-12-27 18:43 psmedley Assigned To => psmedley
2011-12-27 18:43 psmedley Status new => assigned
2011-12-27 19:25 psmedley Note Added: 0002083
2020-09-27 07:09 psmedley Status assigned => closed
2020-09-27 07:09 psmedley Resolution open => won't fix